# -*- coding: utf-8 -*-
try:
	from gmusicapi import Webclient
except ImportError:
	raise Exception('You need gmusicapi python package (pip install gmusicapi)')


def get_playlists(username, password):
	api = Webclient(debug_logging=False)
	api.login(username, password)

	playlists = {}
	_playlists = api.get_all_playlist_ids(auto=False)

	for playlist_name, playlist_id in _playlists['user'].items():
		playlists[playlist_name] = api.get_playlist_songs(playlist_id[0])

	for playlist_name, playlist_songs in playlists.items():
		songs = []
		for song in playlist_songs:
			s = (song['artist'], song['album'], song['title'])
			songs.append(s)
		playlists[playlist_name] = songs

	return playlists
